/*
 *
 * STANDALONE CAMPAIGN PAGE
 *
 */ 

/* Make child elements of campaign navbar take up all horizontal space because we cannot simply override container.html.twig template */
/* This makes a dedicated template for the block redundant */
.h4c-menu--campaign--campaign > .field,
.h4c-menu--campaign--campaign > .field > * > div {
  height: 100%; 
  display: flex;
}

/*
 *
 * PORTAL CAMPAIGN MENU
 *
 */ 

/* Use .h4c-sticky--force to position sticky along the whole page (by moving it out of its parent which normally limits the sticking height) by JS */
/* E.g. in h4c_campaign we use it for the campaign submenu like in https://kulturland.de/de/campaigns/landkulturhof-klein-trebbow */
/* See JS in js/h4c_campaign.js */
.h4c-sticky--force {
  z-index: 505;
}

/*
 *
 * CAMPAIGN TEASER
 *
 */ 

.node--type-h4c-campaign.node--view-mode-teaser .h4c-image img {
  padding-bottom: 0;
}

.node--type-h4c-campaign.node--view-mode-teaser .h4c-subtitle {
  margin-top: .5em;
}

.node--type-h4c-campaign.node--view-mode-teaser {
  box-shadow: 0 2px 3px rgba(10,10,10,0.1),0 0 0 1px rgba(10,10,10,0.1);
}

.h4c-image-overlay-bottom, 
.h4c-inline-content {
  padding: 0 .5em;
}

/* Remove margin-right that we add in JS */
.main-content.has-filter-sidebar .funding-bars .views-element-container {
  margin-right: 0;
}

/* Remove margin if we have an empty EVA views container before actual funding bar */
.node--type-h4c-campaign.node--view-mode-teaser .field:not(:last-child) {
  margin-bottom: 0;
}

.node--type-h4c-campaign.node--view-mode-teaser .h4c-field-container {
  padding-top: 0.75rem;
}

/*
 *
 * CAMPAIGN FOOTER
 *
 */ 

/* Align contact data centered */
.field-group-accordion-wrapper .h4c-website, 
.field-group-accordion-wrapper .h4c-email, 
.field-group-accordion-wrapper .h4c-phones {
  text-align: center;
}

/* Add some padding */
.webform-submission-campaign-contact-form {
  padding-top: 1em;
}